org.eclipse.oomph.base

## Interface ModelElement

- All Superinterfaces:
    EObject, Notifier
  All Known Subinterfaces:
    AndPredicate, Annotation, BuilderPredicate, CommentPredicate, EclipseProjectFactory, FilePredicate, LocationPredicate, MavenProjectFactory, NamePredicate, NaturePredicate, NotPredicate, OrPredicate, Predicate, ProjectFactory, RepositoryPredicate, SourceLocator, XMLProjectFactory
  All Known Implementing Classes:
    AndPredicateImpl, AnnotationImpl, BuilderPredicateImpl, CommentPredicateImpl, EclipseProjectFactoryImpl, FilePredicateImpl, LocationPredicateImpl, MavenProjectFactoryImpl, ModelElementImpl, NamePredicateImpl, NaturePredicateImpl, NotPredicateImpl, OrPredicateImpl, PredicateImpl, ProjectFactoryImpl, RepositoryPredicateImpl, SourceLocatorImpl, XMLProjectFactoryImpl

      public interface ModelElement
      extends EObject

  A representation of the model object 'Element'.

  The following features are supported:

  - `Annotations`
  See Also:
    `BasePackage.getModelElement()`
  Generated
  Model
    abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Annotation` | `getAnnotation(String source)`
    `EList<Annotation>` | `getAnnotations()` Returns the value of the 'Annotations' containment reference list.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getAnnotations

          EList<Annotation> getAnnotations()

      Returns the value of the 'Annotations' containment reference list. The list contents are of type `Annotation`. It is bidirectional and its opposite is '`Model Element`'.

      If the meaning of the 'Annotations' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Annotations' containment reference list.
      See Also:
        `BasePackage.getModelElement_Annotations()`, `Annotation.getModelElement()`
      Generated
      Model
        opposite="modelElement" containment="true" extendedMetaData="name='annotation'"

    - #### getAnnotation

          Annotation getAnnotation(String source)

      Generated
      Model

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html